> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a withdrawal



## OpenAPI

````yaml /api-reference/openapi.json get /v1/offramp/withdrawals/{id}
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/offramp/withdrawals/{id}:
    get:
      tags:
        - Off-ramp
      summary: Get a withdrawal
      operationId: getOfframpWithdrawal
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Withdrawal
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      reference:
                        type: string
                      status:
                        type: string
                        enum:
                          - initiated
                          - awaiting_funds
                          - funding
                          - funds_sent
                          - processing
                          - completed
                          - refund_required
                          - refunded
                          - failed
                      walletId:
                        type: string
                      assetId:
                        type: string
                      customerId:
                        type: string
                        nullable: true
                      currency:
                        type: string
                      paymentMethod:
                        type: string
                      sourceAmount:
                        type: string
                      fiatAmount:
                        type: string
                      rate:
                        type: string
                      fee:
                        type: string
                      recipient:
                        type: object
                        nullable: true
                        description: 'Masked: account numbers show last 4 digits only'
                      transactionHash:
                        type: string
                        nullable: true
                        description: On-chain hash of the funding transfer from your wallet
                      failureReason:
                        type: string
                        nullable: true
                      failureStage:
                        type: string
                        nullable: true
                        enum:
                          - provider_setup
                          - rate_moved
                          - funding
                          - provider
                          - abandoned
                      refundDetailsRequired:
                        type: boolean
                      note:
                        type: string
                        nullable: true
                      metadata:
                        type: object
                        nullable: true
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                      completedAt:
                        type: string
                        format: date-time
                        nullable: true
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.